libqt5xml-devel-5.9.4-2-rosa2016.1.i586.rpm


Advertisement

Description

libqt5xml-devel - Development files for version 5 of the Qt XML library

Property Value
Distribution ROSA 2016.1
Repository ROSA Main Updates i586
Package name libqt5xml-devel
Package version 5.9.4
Package release 2-rosa2016.1
Package architecture i586
Package type rpm
Installed size 58.32 KB
Download size 23.22 KB
Official Mirror mirror.rosalab.ru
Development files for version 5 of the Qt XML library.

Alternatives

Package Version Architecture Repository
libqt5xml-devel-5.8.0-4-rosa2016.1.i586.rpm 5.8.0 i586 ROSA Main
libqt5xml-devel - - -

Requires

Name Value
devel(libQt5Core) -
devel(libstdc++) -
libqt5xml5 == 5.9.4-2:2016.1
pkgconfig(Qt5Core) -
qmake5 -

Provides

Name Value
devel(libQt5Xml) -
libqt5xml-devel == 5.9.4-2:2016.1
pkgconfig(Qt5Xml) == 5.9.4

Conflicts

Name Value
qmake5 < 5.6.0-6

Download

Type URL
Binary Package libqt5xml-devel-5.9.4-2-rosa2016.1.i586.rpm
Source Package qt5-qtbase-5.9.4-2.src.rpm

Install Howto

  1. Enable ROSA Main Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libqt5xml-devel rpm package:
    # urpmi libqt5xml-devel

Files

Path
/usr/include/qt5/QtXml/QDomAttr
/usr/include/qt5/QtXml/QDomCDATASection
/usr/include/qt5/QtXml/QDomCharacterData
/usr/include/qt5/QtXml/QDomComment
/usr/include/qt5/QtXml/QDomDocument
/usr/include/qt5/QtXml/QDomDocumentFragment
/usr/include/qt5/QtXml/QDomDocumentType
/usr/include/qt5/QtXml/QDomElement
/usr/include/qt5/QtXml/QDomEntity
/usr/include/qt5/QtXml/QDomEntityReference
/usr/include/qt5/QtXml/QDomImplementation
/usr/include/qt5/QtXml/QDomNamedNodeMap
/usr/include/qt5/QtXml/QDomNode
/usr/include/qt5/QtXml/QDomNodeList
/usr/include/qt5/QtXml/QDomNotation
/usr/include/qt5/QtXml/QDomProcessingInstruction
/usr/include/qt5/QtXml/QDomText
/usr/include/qt5/QtXml/QXmlAttributes
/usr/include/qt5/QtXml/QXmlContentHandler
/usr/include/qt5/QtXml/QXmlDTDHandler
/usr/include/qt5/QtXml/QXmlDeclHandler
/usr/include/qt5/QtXml/QXmlDefaultHandler
/usr/include/qt5/QtXml/QXmlEntityResolver
/usr/include/qt5/QtXml/QXmlErrorHandler
/usr/include/qt5/QtXml/QXmlInputSource
/usr/include/qt5/QtXml/QXmlLexicalHandler
/usr/include/qt5/QtXml/QXmlLocator
/usr/include/qt5/QtXml/QXmlNamespaceSupport
/usr/include/qt5/QtXml/QXmlParseException
/usr/include/qt5/QtXml/QXmlReader
/usr/include/qt5/QtXml/QXmlSimpleReader
/usr/include/qt5/QtXml/QtXml
/usr/include/qt5/QtXml/QtXmlDepends
/usr/include/qt5/QtXml/QtXmlVersion
/usr/include/qt5/QtXml/qdom.h
/usr/include/qt5/QtXml/qtxml-config.h
/usr/include/qt5/QtXml/qtxmlglobal.h
/usr/include/qt5/QtXml/qtxmlversion.h
/usr/include/qt5/QtXml/qxml.h
/usr/include/qt5/QtXml/5.9.4/
/usr/include/qt5/QtXml/5.9.4/QtXml/
/usr/include/qt5/QtXml/5.9.4/QtXml/private/qtxml-config_p.h
/usr/include/qt5/QtXml/5.9.4/QtXml/private/qxml_p.h
/usr/lib/libQt5Xml.prl
/usr/lib/libQt5Xml.so
/usr/lib/cmake/Qt5Xml/Qt5XmlConfig.cmake
/usr/lib/cmake/Qt5Xml/Qt5XmlConfigVersion.cmake
/usr/lib/pkgconfig/Qt5Xml.pc
/usr/lib/qt5/mkspecs/modules/qt_lib_xml.pri
/usr/lib/qt5/mkspecs/modules/qt_lib_xml_private.pri

Changelog

2018-02-01 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-2
- (fc597aa) Add patch to fix QTBUG-66103
2018-01-24 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (5a8707f) New version 5.9.4
2017-12-13 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-2
- (0c18989) Revert upstream commits to avoid QUrl behaviour change
2017-11-23 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (f59d4b5) New version 5.9.3
2017-11-05 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (a36f519) Add QtLinuxAccessibilitySupport files to Qt5Gui development files
- (Andrey Bondrov: 84e8c2f) New version 5.9.2
2017-08-20 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (0ba3885) Update files (replace QtLinuxAccessibilitySupport with QtKmsSupport)
- (0ba3885) Add new subpackage for qt5-eglfs-integration-plugin-emu
- (Andrey Bondrov: 0730364) Drop merged QTBUG-56140 patch
- (Andrey Bondrov: 605b765) New version 5.9.1
2017-02-28 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-4
- (1a738c3) Add some bugfix patches from upstream and Fedora (mostly HighDPI-related)
2017-02-04 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-3
- (a4df05e) MassBuild#1230: Increase release tag
2017-01-25 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-2
- (fdb3673) Now build with docs
2017-01-24 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (5562dd6) Drop incorrect icu-related comment, we prefer icu over iconv
- (Andrey Bondrov: a7d4cd1) Re-work build options (audio related options moved to multimedia package etc)
- (Andrey Bondrov: a7d4cd1) Replace qt5-platformtheme-gtk2 with qt5-platformtheme-gtk3
- (Andrey Bondrov: a7d4cd1) Add vnc optput driver
- (Andrey Bondrov: a7d4cd1) Add new libqt5eglfskmssupport library
- (Andrey Bondrov: a7d4cd1) Update files in qt5gui development package (split QtPlatformSupport into parts)
- (Andrey Bondrov: a7d4cd1) Build requires pkgconfig(libpcre2-posix) now
- (Andrey Bondrov: c5c0fad) New version 5.8.0

See Also

Package Description
libqt5xml5-5.9.4-2-rosa2016.1.i586.rpm Qt XML library
libqt5xmlpatterns-devel-5.9.4-1-rosa2016.1.i586.rpm Development files for Qt's XSLT engine
libqt5xmlpatterns5-5.9.4-1-rosa2016.1.i586.rpm Qt XSLT engine
libqtav-devel-1.12.0-1-rosa2016.1.i586.rpm QtAV development files
libqtav-qml-1.12.0-1-rosa2016.1.i586.rpm QML plugin for Qt5 multimedia framework
libqtav1-1.12.0-1-rosa2016.1.i586.rpm QtAV shared library
libqtavwidgets1-1.12.0-1-rosa2016.1.i586.rpm QtAV Widgets shared library
libqtcurve-cairo1-1.8.18-2.20170506.1-rosa2016.1.i586.rpm Shared library for QtCurve
libqtcurve-gtk2-1.8.18-2.20170506.1-rosa2016.1.i586.rpm GTK2 libraries for QtCurve
libqtcurve-utils2-1.8.18-2.20170506.1-rosa2016.1.i586.rpm Shared library for QtCurve
libquadmath-devel-5.5.0_2017.10-2-rosa2016.1.i586.rpm GCC __float128 support
libquadmath-static-devel-5.5.0_2017.10-2-rosa2016.1.i586.rpm Static libraries for __float128 support
libquadmath0-5.5.0_2017.10-2-rosa2016.1.i586.rpm GCC __float128 shared support library
libquazip-devel-0.7.6-1-rosa2016.1.i586.rpm Development files for quazip
libquazip1-0.7.6-1-rosa2016.1.i586.rpm Qt/C++++ wrapper for the minizip library
Advertisement
Advertisement